Bug 1252239 - [abrt] WARNING: CPU: 3 PID: 864 at drivers/net/wireless/iwlwifi/pcie/trans.c:1413 iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]() [iwlwifi] [NEEDINFO]
[abrt] WARNING: CPU: 3 PID: 864 at drivers/net/wireless/iwlwifi/pcie/trans.c:...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:df1a00b903221a3d9f9eee44047...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 23:49 EDT by sheepdestroyer
Modified: 2015-11-23 12:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:19:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (86.22 KB, text/plain)
2015-08-10 23:50 EDT, sheepdestroyer
no flags Details

  None (edit)
Description sheepdestroyer 2015-08-10 23:49:59 EDT
Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 3 PID: 864 at drivers/net/wireless/iwlwifi/pcie/trans.c:1413 iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]()
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw intel_rapl iosf_mbi x86_pkg_temp_thermal fuse arc4 coretemp iwldvm kvm_intel snd_hda_codec_hdmi mac80211 snd_hda_codec_conexant kvm snd_hda_codec_generic snd_hda_intel iTCO_wdt snd_hda_controller iTCO_vendor_support snd_hda_codec snd_hda_core iwlwifi snd_hwdep snd_seq snd_seq_device crct10dif_pclmul crc32_pclmul crc32c_intel snd_pcm ghash_clmulni_intel cfg80211
 i2c_i801 thinkpad_acpi snd_timer lpc_ich mfd_core snd tpm_tis mei_me soundcore wmi rfkill tpm mei shpchp binfmt_misc 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper e1000e drm sdhci_pci serio_raw sdhci mmc_core ptp pps_core video
CPU: 3 PID: 864 Comm: wpa_supplicant Not tainted 4.1.3-201.fc22.x86_64 #1
Hardware name: LENOVO 4286CTO/4286CTO, BIOS 8DET58WW (1.28 ) 02/14/2012
 0000000000000000 00000000dfbcd068 ffff8800d579f668 ffffffff8179b4bd
 0000000000000000 ffff8800d579f6c0 ffff8800d579f6a8 ffffffff810a163a
 ffff880200000030 ffff8800d6260000 0000000000000000 ffff8800d6263cb0
Call Trace:
 [<ffffffff8179b4bd>] dump_stack+0x45/0x57
 [<ffffffff810a163a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16c5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa04170b8>] iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]
 [<ffffffffa04083b9>] iwl_write_prph+0x39/0x80 [iwlwifi]
 [<ffffffffa04085fa>] iwl_force_nmi+0x2a/0x70 [iwlwifi]
 [<ffffffffa0413c8c>] iwl_trans_pcie_send_hcmd+0x52c/0x5a0 [iwlwifi]
 [<ffffffff810e4d10>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa06e0fbe>] iwl_dvm_send_cmd+0x5e/0x150 [iwldvm]
 [<ffffffffa06eb5c8>] iwl_scan_initiate+0x928/0xed0 [iwldvm]
 [<ffffffffa06dace8>] iwlagn_mac_hw_scan+0x98/0x130 [iwldvm]
 [<ffffffffa05076bc>] __ieee80211_start_scan+0x27c/0x660 [mac80211]
 [<ffffffff810dc603>] ? enqueue_task_fair+0x303/0x800
 [<ffffffffa05086b0>] ieee80211_request_scan+0x30/0x50 [mac80211]
 [<ffffffffa0519365>] ieee80211_scan+0x65/0xc0 [mac80211]
 [<ffffffffa0327954>] nl80211_trigger_scan+0x484/0x770 [cfg80211]
 [<ffffffff816b78b9>] genl_family_rcv_msg+0x1b9/0x3e0
 [<ffffffff810e4505>] ? __wake_up_common+0x55/0x90
 [<ffffffff816b7ae0>] ? genl_family_rcv_msg+0x3e0/0x3e0
 [<ffffffff816b7b59>] genl_rcv_msg+0x79/0xc0
 [<ffffffff816b6fe9>] netlink_rcv_skb+0xb9/0xe0
 [<ffffffff816b76ec>] genl_rcv+0x2c/0x40
 [<ffffffff816b673d>] netlink_unicast+0x12d/0x1c0
 [<ffffffff816b6ca7>] netlink_sendmsg+0x4d7/0x640
 [<ffffffff81338292>] ? sock_has_perm+0x72/0x90
 [<ffffffff8166425d>] sock_sendmsg+0x3d/0x50
 [<ffffffff81664c73>] ___sys_sendmsg+0x2b3/0x2c0
 [<ffffffff81663d1b>] ? sock_recvmsg+0x3b/0x50
 [<ffffffff81663f76>] ? SYSC_recvfrom+0xd6/0x160
 [<ffffffff8101e9b9>] ? read_tsc+0x9/0x10
 [<ffffffff81111995>] ? ktime_get_ts64+0x45/0x100
 [<ffffffff81665777>] __sys_sendmsg+0x57/0xa0
 [<ffffffff816657d2>] SyS_sendmsg+0x12/0x20
 [<ffffffff817a1a6e>] system_call_fastpath+0x12/0x71

Potential duplicate: bug 1197171
Comment 1 sheepdestroyer 2015-08-10 23:50:03 EDT
Created attachment 1061313 [details]
File: dmesg
Comment 2 sheepdestroyer 2015-08-11 00:28:56 EDT
since some days (weeks?) I get strange wifi reconnection problems after resume from standby. Wifi fails reconnecting, or even seeing routers. I also get full system freezes which may be related (same time period, occur after standby/when sitchin wifi on/off).
Comment 3 sheepdestroyer 2015-08-13 04:46:41 EDT
Description of problem:
strange problems recently happen when coming back from sleep

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.1.3-201.fc22.x86_64 root=UUID=c5d1a799-f3fc-463c-984a-baa2f52ddffc ro rhgb root=/dev/sda6 rootfstype=ext4 rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 raid=noautodetect libahci.ignore_sss=1 plymouth.enable=0
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 3358 at drivers/net/wireless/iwlwifi/pcie/trans.c:1413 iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]()
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw fuse intel_rapl iosf_mbi snd_hda_codec_hdmi x86_pkg_temp_thermal coretemp kvm_intel snd_hda_codec_conexant arc4 snd_hda_codec_generic kvm iwldvm snd_hda_intel snd_hda_controller mac80211 snd_hda_codec crct10dif_pclmul snd_hda_core crc32_pclmul iTCO_wdt snd_hwdep iTCO_vendor_support crc32c_intel iwlwifi snd_seq snd_seq_device cfg80211 ghash_clmulni_intel snd_pcm
 thinkpad_acpi mei_me lpc_ich i2c_i801 snd_timer mfd_core mei shpchp snd wmi tpm_tis soundcore tpm rfkill binfmt_misc 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper drm e1000e serio_raw sdhci_pci sdhci mmc_core ptp pps_core video
CPU: 0 PID: 3358 Comm: kworker/u16:30 Not tainted 4.1.3-201.fc22.x86_64 #1
Hardware name: LENOVO 4286CTO/4286CTO, BIOS 8DET58WW (1.28 ) 02/14/2012
Workqueue: phy0 ieee80211_iface_work [mac80211]
 0000000000000000 000000007451ae83 ffff8801b3c7b6a8 ffffffff8179b4bd
 0000000000000000 ffff8801b3c7b700 ffff8801b3c7b6e8 ffffffff810a163a
 0000000000000030 ffff880212efc000 0000000000000000 ffff880212effcb0
Call Trace:
 [<ffffffff8179b4bd>] dump_stack+0x45/0x57
 [<ffffffff810a163a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16c5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa040a0b8>] iwl_trans_pcie_grab_nic_access+0x128/0x140 [iwlwifi]
 [<ffffffffa03fb3b9>] iwl_write_prph+0x39/0x80 [iwlwifi]
 [<ffffffffa03fb5fa>] iwl_force_nmi+0x2a/0x70 [iwlwifi]
 [<ffffffffa0406c8c>] iwl_trans_pcie_send_hcmd+0x52c/0x5a0 [iwlwifi]
 [<ffffffff810e4d10>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa053efbe>] iwl_dvm_send_cmd+0x5e/0x150 [iwldvm]
 [<ffffffffa0543476>] iwl_send_add_sta+0xf6/0x140 [iwldvm]
 [<ffffffffa0545b7a>] iwl_sta_rx_agg_stop+0xfa/0x160 [iwldvm]
 [<ffffffffa0538939>] iwlagn_mac_ampdu_action+0x1e9/0x350 [iwldvm]
 [<ffffffffa0463a63>] ___ieee80211_stop_rx_ba_session+0x123/0x260 [mac80211]
 [<ffffffffa0463bef>] __ieee80211_stop_rx_ba_session+0x4f/0x70 [mac80211]
 [<ffffffffa046156c>] ieee80211_sta_tear_down_BA_sessions+0x5c/0x70 [mac80211]
 [<ffffffffa0457bb4>] __sta_info_destroy_part1+0x54/0x460 [mac80211]
 [<ffffffff81104e80>] ? __call_rcu+0x370/0x370
 [<ffffffffa045b074>] __sta_info_flush+0x154/0x1c0 [mac80211]
 [<ffffffffa04a260a>] ieee80211_set_disassoc+0xba/0x3e0 [mac80211]
 [<ffffffffa04a2968>] ieee80211_sta_connection_lost+0x38/0x70 [mac80211]
 [<ffffffffa04a551b>] ieee80211_sta_work+0x1eb/0x1490 [mac80211]
 [<ffffffff8110afa8>] ? add_timer+0x18/0x30
 [<ffffffff810d5c9f>] ? account_entity_dequeue+0xaf/0xd0
 [<ffffffff810d9ced>] ? dequeue_entity+0x11d/0x640
 [<ffffffff817a153b>] ? _raw_spin_unlock_bh+0x1b/0x20
 [<ffffffffa0469a98>] ieee80211_iface_work+0x3a8/0x430 [mac80211]
 [<ffffffff810db92c>] ? put_prev_task_fair+0x2c/0x40
 [<ffffffff810baa6b>] process_one_work+0x1bb/0x410
 [<ffffffff810bad13>] worker_thread+0x53/0x480
 [<ffffffff810bacc0>] ? process_one_work+0x410/0x410
 [<ffffffff810c0b88>] kthread+0xd8/0xf0
 [<ffffffff810c0ab0>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff817a1e62>] ret_from_fork+0x42/0x70
 [<ffffffff810c0ab0>] ? kthread_worker_fn+0x180/0x180
Comment 4 Justin M. Forbes 2015-10-20 15:33:15 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 5 Fedora Kernel Team 2015-11-23 12:19:16 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.